{
  template: '${tmpl}',
    data: function() {
      return {
        searchValue: '',
        result: [],
        loading: true,
        imgBanner: null,
        /**图标信息 */
        /**  newInfo:'/imgs/mobilehome/icon.png', */
        newInfo: '/imgs/mobilehome/icon1.png',
        servers: null,
        allItemType: [],
        /**列表信息 */
        items: null,
      }
    },
  mounted: function() {
    /* 首页商标信息 */
    $('.mobile-home-container .mint-searchbar-inner input').attr({ "disabled": 'disabled' });
    this.$root.postReq("/web/producttypeCtl/getProductTypeList").then((res) => {
      this.servers = res.data;
      if (this.imgBanner && this.items && this.servers) {
        this.loading = false;
      }
      console.log(this.servers, "ssssssssssssssssssssssss");
      this.servers.forEach(item => {
        this.allItemType.push(item.itemType);
      });
    });
    /* 首页热门推荐 */
    this.$root.postReq("/web/serviceitemCtl/findByCompany", {}).then((res) => {
      console.log(res, "111111111111111111111111");
      this.items = res.data.rows;
      console.log(this.items);
      if (this.imgBanner && this.items && this.servers) {
        this.loading = false;
      }
    });
    /*首页轮播图 */
    this.$root.postReq("/web/loopplayCtl/getLooppayList", { "loop_type": "YD" }).then((res) => {
      console.log(res, "iimgiggggggggggggggggggggggggggg");
      this.imgBanner = res.data;
      if (this.imgBanner && this.items && this.servers) {
        this.loading = false;
      }
    });
    this.$root.showmenu();

    console.log(this, "////////////////////////////////////////");
  },
  created: function() {

  },
  methods: {
    goServiceType(index, item){
      console.log(item, "ssssssssssssssssss", this.allItemType);
      let { itemType } = item;
      let allItemType = JSON.stringify(this.allItemType);
      console.log(allItemType);
      this.$router.push({ path: "/mobileservicetype", query: { "current": itemType, "allItemType": allItemType } });
    },
    goServerDetail(index, item){
      let data = JSON.stringify(item);
      console.log(data, "1sxxxxxxxxxxxxxxxxxxxxxx");
      this.$router.push({ path: "/mobileserverdetail", query: { data } });
    },
    goSearch(){
      this.$router.push({ path: "/mobilesearch" });
    },

  },
  vname: "gsb-mobilehome"
}
